std::atomic_flag::clear(3)

NAME
std::atomic_flag::clear - std::atomic_flag::clear

Synopsis
   Defined in header <atomic>
   void clear( std::memory_order order = std::memory_order_seq_cst ) (1) (since C++11)
   volatile noexcept;
   void clear( std::memory_order order = std::memory_order_seq_cst ) (2) (since C++11)
   noexcept;
   Atomically changes the state of a std::atomic_flag to clear (false).

Parameters
           the memory synchronization ordering for this operation (cannot be
   order - std::memory_order_consume, std::memory_order_acquire, or
           std::memory_order_acq_rel)

See also
                        atomically sets the flag to true and obtains its previous
   test_and_set value
                        (public member function)
   atomic_flag_clear
   atomic_flag_clear_explicit atomically sets the value of the flag to false
   (C++11) (function)
   (C++11)
   memory_order defines memory ordering constraints for the given atomic
   (C++11) operation
                        (enum)